# Interface UseFunctionConfig<ReturnTypeTarget, ArgsSource, ReturnTypeSource, ArgsTarget>

interface UseFunctionConfig<
ReturnTypeTarget = any,
ArgsSource extends any[] = any[],
ReturnTypeSource = any,
ArgsTarget extends any[] = any[],
> {
adapter?: {
args?: FunctionParameterAdapterFunction<ArgsSource, ArgsTarget>;
result?: FunctionResultAdapterFunction<ReturnTypeSource, ReturnTypeTarget>;
};
}

#### Type Parameters

- ReturnTypeTarget = any
- ArgsSource extends any[] = any[]
- ReturnTypeSource = any
- ArgsTarget extends any[] = any[]

- Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:12

#####
Index

### Properties

adapter?

##
Properties

### `Optional` adapter

adapter?: {
args?: FunctionParameterAdapterFunction<ArgsSource, ArgsTarget>;
result?: FunctionResultAdapterFunction<ReturnTypeSource, ReturnTypeTarget>;
}

- Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:18